Summary:	Tools for burning on DVD+RW compliant burner
Name: 		dvd+rw-tools
Version:	7.1
Release:        %mkrel 15
License:	GPLv2
Group:          Archiving/Cd burning
URL:		https://fy.chalmers.se/~appro/linux/DVD+RW/
Source0:	https://fy.chalmers.se/~appro/linux/DVD+RW/tools/dvd+rw-tools-%{version}.tar.gz
Source1:	dvd+rw-mediainfo.1
# (fc) use genisoimage, not mkisofs by default (SUSE)
Patch0:		growisofs-genisoimage.patch
# fix build with gcc 4.3
Patch2:		dvd+rw-tools-limits.h_fix.diff
# (fc) Allow burn small images on DVD-DL (Fedora bug #476154)
Patch3:		dvd+rw-tools-7.0-dvddl.patch
# (fc) fix widechar overflow (Fedora bug #426068)
Patch4:		dvd+rw-tools-7.0-wctomb.patch
# (fc) fix exit status of dvd+rw-format (Fedora bug #243036)
Patch5:		dvd+rw-tools-7.0-wexit.patch
# (fc) use rpm_opt_flags (SUSE)
Patch6:		rpm_opt_flags.diff
Patch7:		dvd+rw-tools-7.1-deb-bd_close.patch
Patch8:		dvd+rw-tools-7.0-sysmacros.patch

Requires:	cdrkit-genisoimage

%description 
Even though a modified kernel can let you put for example an ext2 file
system on DVD+RW, it's probably not very practical, because you most
likely want to access the data on an arbitrary computer. Or in other
words you most likely want ISO9660. The trouble is that you might as
well want to add data now and then. And what options do you have in
the lack of multiple sessions (no, DVD+RW has no notion of multiple
sessions)? Complete re-mastering which takes more and more time as
data set grows? Well, yes, unless you employ growisofs! Growisofs
provides the way to both lay down and grow an ISO9660 file system on
(as well as to burn an arbitrary pre-mastered image to) all supported
optical media.

%prep

%setup -q
%patch -P 0 -p1 -b .genisoimage
%patch -P 2 -p1 -b .limits
%patch -P 3 -p1 -b .dvddl
%patch -P 4 -p1 -b .wctomb
%patch -P 5 -p1 -b .wexit
%patch -P 6 -p1 -b .rpm_opt_flags
%patch -P 7 -p0 -b .bd_close
%patch -P 8 -p1 -b .sysmacros

%build

%make_build LDFLAGS="%{ldflags}"
%make_build rpl8 btcflash LDFLAGS="%{ldflags}"

%install

%make_install prefix=%{buildroot}%{_prefix}
install -d %{buildroot}%{_sbindir}
install -m755 rpl8 %{buildroot}%{_sbindir}

%files
%doc index.html
%{_sbindir}/*
%{_bindir}/*
%{_mandir}/man1/*





%changelog
* Sat Dec 21 2024 pterjan <pterjan> 7.1-15.mga10
+ Revision: 2127231
- Rebuild for patchN deprecation

* Tue Mar 15 2022 umeabot <umeabot> 7.1-14.mga9
+ Revision: 1791868
- Mageia 9 Mass Rebuild

* Thu Feb 13 2020 umeabot <umeabot> 7.1-13.mga8
+ Revision: 1512104
- Mageia 8 Mass Rebuild

* Mon Sep 24 2018 daviddavid <daviddavid> 7.1-12.mga7
+ Revision: 1303020
- add patch to fix build with new glibc
+ umeabot <umeabot>
- Mageia 7 Mass Rebuild

* Tue Feb 09 2016 umeabot <umeabot> 7.1-11.mga6
+ Revision: 951668
- Mageia 6 Mass Rebuild

* Mon Jan 05 2015 shlomif <shlomif> 7.1-10.mga5
+ Revision: 808637
- Fix MGA #12424 : "K3B Failing to complete DVD-RW writes."
  Thanks to Richard Houser, who is my apprentice.

* Wed Oct 15 2014 umeabot <umeabot> 7.1-9.mga5
+ Revision: 743380
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 7.1-8.mga5
+ Revision: 678887
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 7.1-7.mga4
+ Revision: 503958
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 7.1-6.mga3
+ Revision: 349191
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 15 2012 zezinho <zezinho> 7.1-5.mga3
+ Revision: 318315
- rebuild for mga3

* Mon Feb 07 2011 ennael <ennael> 7.1-4.mga1
+ Revision: 48643
- imported package dvd+rw-tools

